# AP4_OddaAtom Class Reference

`#include <Ap4OddaAtom.h>`

Inheritance diagram for AP4_OddaAtom:

List of all members.

## Public Member Functions
| AP4_OddaAtom (AP4_ByteStream &encrypted_payload)
| ~AP4_OddaAtom ()
virtual AP4_Result | InspectFields (AP4_AtomInspector &inspector)
virtual AP4_Result | WriteFields (AP4_ByteStream &stream)
AP4_UI64 | GetEncryptedDataLength ()
AP4_Result | SetEncryptedPayload (AP4_ByteStream &stream)
| Sets the encrypted payload stream (and releases any existing stream references).
AP4_Result | SetEncryptedPayload (AP4_ByteStream &stream, AP4_LargeSize length)
AP4_ByteStream & | GetEncryptedPayload ()
| Returns a reference to the encrypted payload stream (does not increment the reference counter).
## Static Public Member Functions
static AP4_OddaAtom * | Create (AP4_UI64 size, AP4_ByteStream &stream)

## Detailed Description

Definition at line 42 of file Ap4OddaAtom.h.

## Constructor & Destructor Documentation

AP4_OddaAtom::AP4_OddaAtom | ( | AP4_ByteStream & | encrypted_payload | ) |

AP4_OddaAtom::~AP4_OddaAtom | ( |  | ) |

## Member Function Documentation

static AP4_OddaAtom* AP4_OddaAtom::Create | ( | AP4_UI64 | size,
|  | AP4_ByteStream & | stream |
| ) |  |  | `[static]`

virtual AP4_Result AP4_OddaAtom::InspectFields | ( | AP4_AtomInspector & | inspector | ) | `[virtual]`

Reimplemented from AP4_Atom.

virtual AP4_Result AP4_OddaAtom::WriteFields | ( | AP4_ByteStream & | stream | ) | `[virtual]`

Implements AP4_Atom.

AP4_UI64 AP4_OddaAtom::GetEncryptedDataLength | ( |  | ) | `[inline]`

Definition at line 60 of file Ap4OddaAtom.h.

AP4_Result AP4_OddaAtom::SetEncryptedPayload | ( | AP4_ByteStream & | stream | ) |

Sets the encrypted payload stream (and releases any existing stream references).

AP4_Result AP4_OddaAtom::SetEncryptedPayload | ( | AP4_ByteStream & | stream,
|  | AP4_LargeSize | length |
| ) |  |  |

AP4_ByteStream& AP4_OddaAtom::GetEncryptedPayload | ( |  | ) | `[inline]`

Returns a reference to the encrypted payload stream (does not increment the reference counter).

Definition at line 71 of file Ap4OddaAtom.h.

The documentation for this class was generated from the following file:

- Ap4OddaAtom.h